Package org.lwjgl.opengl

# Class ARBVertexProgram

java.lang.Object
org.lwjgl.opengl.ARBProgram
org.lwjgl.opengl.ARBVertexProgram

public final class ARBVertexProgram extends ARBProgram

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_SUM_ARB`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_CURRENT_VERTEX_ATTRIB_ARB`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:
`static final int`
`GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_VERTEX_ATTRIBS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PROGRAM_ADDRESS_REGISTERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB`
Accepted by the <pname> parameter of GetVertexAttribPointervARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:
`static final int`
`GL_VERTEX_PROGRAM_ARB`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB, and GetProgramStringARB.
`static final int`
`GL_VERTEX_PROGRAM_POINT_SIZE_ARB`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_PROGRAM_TWO_SIDE_ARB`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

### Fields inherited from class org.lwjgl.opengl.ARBProgram

`GL_CURRENT_MATRIX_ARB, GL_CURRENT_MATRIX_STACK_DEPTH_ARB, GL_MATRIX0_ARB, GL_MATRIX1_ARB, GL_MATRIX10_ARB, GL_MATRIX11_ARB, GL_MATRIX12_ARB, GL_MATRIX13_ARB, GL_MATRIX14_ARB, GL_MATRIX15_ARB, GL_MATRIX16_ARB, GL_MATRIX17_ARB, GL_MATRIX18_ARB, GL_MATRIX19_ARB, GL_MATRIX2_ARB, GL_MATRIX20_ARB, GL_MATRIX21_ARB, GL_MATRIX22_ARB, GL_MATRIX23_ARB, GL_MATRIX24_ARB, GL_MATRIX25_ARB, GL_MATRIX26_ARB, GL_MATRIX27_ARB, GL_MATRIX28_ARB, GL_MATRIX29_ARB, GL_MATRIX3_ARB, GL_MATRIX30_ARB, GL_MATRIX31_ARB, GL_MATRIX4_ARB, GL_MATRIX5_ARB, GL_MATRIX6_ARB, GL_MATRIX7_ARB, GL_MATRIX8_ARB, GL_MATRIX9_ARB, GL_MAX_PROGRAM_ATTRIBS_ARB, GL_MAX_PROGRAM_ENV_PARAMETERS_ARB, GL_MAX_PROGRAM_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB, GL_MAX_PROGRAM_MATRICES_ARB, GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB, GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB, GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB, GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB, GL_MAX_PROGRAM_PARAMETERS_ARB, GL_MAX_PROGRAM_TEMPORARIES_ARB, GL_PROGRAM_ATTRIBS_ARB, GL_PROGRAM_BINDING_ARB, GL_PROGRAM_ERROR_POSITION_ARB, GL_PROGRAM_ERROR_STRING_ARB, GL_PROGRAM_FORMAT_ARB, GL_PROGRAM_FORMAT_ASCII_ARB, GL_PROGRAM_INSTRUCTIONS_ARB, GL_PROGRAM_LENGTH_ARB, GL_PROGRAM_NATIVE_ATTRIBS_ARB, GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB, GL_PROGRAM_NATIVE_PARAMETERS_ARB, GL_PROGRAM_NATIVE_TEMPORARIES_ARB, GL_PROGRAM_PARAMETERS_ARB, GL_PROGRAM_STRING_ARB, GL_PROGRAM_TEMPORARIES_ARB, GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB, GL_TRANSPOSE_CURRENT_MATRIX_ARB`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDisableVertexAttribArrayARB(int index)`
`static void`
`glEnableVertexAttribArrayARB(int index)`
`static void`
`glGetVertexAttribARB(int index, int pname, DoubleBuffer params)`
`static void`
`glGetVertexAttribARB(int index, int pname, FloatBuffer params)`
`static void`
`glGetVertexAttribARB(int index, int pname, IntBuffer params)`
`static ByteBuffer`
`glGetVertexAttribPointerARB(int index, int pname, long result_size)`
`static void`
`glVertexAttrib1dARB(int index, double x)`
`static void`
`glVertexAttrib1fARB(int index, float x)`
`static void`
`glVertexAttrib1sARB(int index, short x)`
`static void`
`glVertexAttrib2dARB(int index, double x, double y)`
`static void`
`glVertexAttrib2fARB(int index, float x, float y)`
`static void`
`glVertexAttrib2sARB(int index, short x, short y)`
`static void`
`glVertexAttrib3dARB(int index, double x, double y, double z)`
`static void`
`glVertexAttrib3fARB(int index, float x, float y, float z)`
`static void`
`glVertexAttrib3sARB(int index, short x, short y, short z)`
`static void`
`glVertexAttrib4dARB(int index, double x, double y, double z, double w)`
`static void`
`glVertexAttrib4fARB(int index, float x, float y, float z, float w)`
`static void`
`glVertexAttrib4NubARB(int index, byte x, byte y, byte z, byte w)`
`static void`
`glVertexAttrib4sARB(int index, short x, short y, short z, short w)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ShortBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, DoubleBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, FloatBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)`

### Methods inherited from class org.lwjgl.opengl.ARBProgram

`glBindProgramARB, glDeleteProgramsARB, glDeleteProgramsARB, glGenProgramsARB, glGenProgramsARB, glGetProgramARB, glGetProgramARB, glGetProgramEnvParameterARB, glGetProgramEnvParameterARB, glGetProgramiARB, glGetProgramLocalParameterARB, glGetProgramLocalParameterARB, glGetProgramStringARB, glGetProgramStringARB, glIsProgramARB, glProgramEnvParameter4ARB, glProgramEnvParameter4ARB, glProgramEnvParameter4dARB, glProgramEnvParameter4fARB, glProgramLocalParameter4ARB, glProgramLocalParameter4ARB, glProgramLocalParameter4dARB, glProgramLocalParameter4fARB, glProgramStringARB, glProgramStringARB`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_PROGRAM_ARB

public static final int GL_VERTEX_PROGRAM_ARB
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB, and GetProgramStringARB.

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE_ARB

public static final int GL_VERTEX_PROGRAM_POINT_SIZE_ARB
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_TWO_SIDE_ARB

public static final int GL_VERTEX_PROGRAM_TWO_SIDE_ARB
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_COLOR_SUM_ARB

public static final int GL_COLOR_SUM_ARB
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:

See Also:
  - Constant Field Values

### GL_CURRENT_VERTEX_ATTRIB_ARB

public static final int GL_CURRENT_VERTEX_ATTRIB_ARB
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB
Accepted by the <pname> parameter of GetVertexAttribPointervARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_ADDRESS_REGISTERS_ARB

public static final int GL_PROGRAM_ADDRESS_REGISTERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB

public static final int GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB

public static final int GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB

public static final int GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATTRIBS_ARB

public static final int GL_MAX_VERTEX_ATTRIBS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttrib1sARB

public static void glVertexAttrib1sARB(int index, short x)

### glVertexAttrib1fARB

public static void glVertexAttrib1fARB(int index, float x)

### glVertexAttrib1dARB

public static void glVertexAttrib1dARB(int index, double x)

### glVertexAttrib2sARB

public static void glVertexAttrib2sARB(int index, short x, short y)

### glVertexAttrib2fARB

public static void glVertexAttrib2fARB(int index, float x, float y)

### glVertexAttrib2dARB

public static void glVertexAttrib2dARB(int index, double x, double y)

### glVertexAttrib3sARB

public static void glVertexAttrib3sARB(int index, short x, short y, short z)

### glVertexAttrib3fARB

public static void glVertexAttrib3fARB(int index, float x, float y, float z)

### glVertexAttrib3dARB

public static void glVertexAttrib3dARB(int index, double x, double y, double z)

### glVertexAttrib4sARB

public static void glVertexAttrib4sARB(int index, short x, short y, short z, short w)

### glVertexAttrib4fARB

public static void glVertexAttrib4fARB(int index, float x, float y, float z, float w)

### glVertexAttrib4dARB

public static void glVertexAttrib4dARB(int index, double x, double y, double z, double w)

### glVertexAttrib4NubARB

public static void glVertexAttrib4NubARB(int index, byte x, byte y, byte z, byte w)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, DoubleBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, FloatBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ByteBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, IntBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ShortBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)

### glEnableVertexAttribArrayARB

public static void glEnableVertexAttribArrayARB(int index)

### glDisableVertexAttribArrayARB

public static void glDisableVertexAttribArrayARB(int index)

### glGetVertexAttribARB

public static void glGetVertexAttribARB(int index, int pname, FloatBuffer params)

### glGetVertexAttribARB

public static void glGetVertexAttribARB(int index, int pname, DoubleBuffer params)

### glGetVertexAttribARB

public static void glGetVertexAttribARB(int index, int pname, IntBuffer params)

### glGetVertexAttribPointerARB

public static ByteBuffer glGetVertexAttribPointerARB(int index, int pname, long result_size)